<?php
/***************************************************************************
 *                         Create a New User
 *                    ------------------------------
 *   Filename:             createnewuser.php
 *   Project:              Uzzisoft - PHP Simple Member System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.2.1
 *   Build Date:           2004-05-10
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Gets values from the submission form, checks for empty values, checks
 *   that numeric values are actually numeric values and the length is
 *   the exact required. Checks that the username is not in user.
 *   MD5's the username and password so it is secure. Inserts the new user
 *   to the database and prints a message that tells them it is done.
 *
 *   How it does it:
 *   Get all the values from the form and assign them to variables.
 *   Get the users IP Address. If one of the values from the form is not
 *   filled in at all (ie is empty) then find which one/s was empty and
 *   print a error message containing which values where empty and then
 *   exit the script. Check if the postcode, phone number 1 and 2 are
 *   numeric and the right length, if they aren't numeric or the right length
 *   then print a error message and exit the script.
 *   Connect to the MySQL database and select the database to use.
 *   Get the current date and time from the MySQL Server.
 *   MD5 the username and password.
 *   Check if the username exist, if it does then print a error message
 *   and exit the script.
 *   Else if the username doesn't exist, count up all the usernames in the
 *   database and put that to a count user variable. Add one to that
 *   variable. Insert the user into the database and then print a message
 *   saying that the username was created.
 *
 ***************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Create New User</title>

<script language="JavaScript">
<!--
function FP_swapImg() {//v1.0
 var doc=document,args=arguments,elm,n; doc.$imgSwaps=new Array(); for(n=2; n<args.length;
 n+=2) { elm=FP_getObjectByID(args[n]); if(elm) { doc.$imgSwaps[doc.$imgSwaps.length]=elm;
 elm.$src=elm.src; elm.src=args[n+1]; } }
}

function FP_preloadImgs() {//v1.0
 var d=document,a=arguments; if(!d.FP_imgs) d.FP_imgs=new Array();
 for(var i=0; i<a.length; i++) { d.FP_imgs[i]=new Image; d.FP_imgs[i].src=a[i]; }
}

function FP_getObjectByID(id,o) {//v1.0
 var c,el,els,f,m,n; if(!o)o=document; if(o.getElementById) el=o.getElementById(id);
 else if(o.layers) c=o.layers; else if(o.all) el=o.all[id]; if(el) return el;
 if(o.id==id || o.name==id) return o; if(o.childNodes) c=o.childNodes; if(c)
 for(n=0; n<c.length; n++) { el=FP_getObjectByID(id,c[n]); if(el) return el; }
 f=o.forms; if(f) for(n=0; n<f.length; n++) { els=f[n].elements;
 for(m=0; m<els.length; m++){ el=FP_getObjectByID(id,els[n]); if(el) return el; } }
 return null;
}
// -->

</script>
</head>

<body onload="FP_preloadImgs(/*url*/'buttonA.jpg',/*url*/'button9.jpg',/*url*/'buttonD.jpg',/*url*/'buttonC.jpg')">

<a href="login.html">
<img border="0" id="img1" src="button8.jpg" height="20" width="100" alt="Login" onmouseover="FP_swapImg(1,0,/*id*/'img1',/*url*/'button9.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img1',/*url*/'button8.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img1',/*url*/'buttonA.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img1',/*url*/'button9.jpg')" fp-style="fp-btn: Glass Rectangle 1; fp-orig: 0" fp-title="Login"></a>&nbsp;
<a href="createuser.html">
<img border="0" id="img2" src="buttonB.jpg" height="20" width="127" alt="Create New User" onmouseover="FP_swapImg(1,0,/*id*/'img2',/*url*/'buttonC.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img2',/*url*/'buttonB.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img2',/*url*/'buttonD.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img2',/*url*/'buttonC.jpg')" fp-style="fp-btn: Glass Rectangle 1; fp-proportional: 0; fp-orig: 0" fp-title="Create New User"></a><p><br>
<p>

<?php

  // Begin Create new user function

  // Variables that data come from the submission form
  $username = $_POST["user"];      // Username that will be MD5'ed
  $usernamereal = $_POST["user"];  // Username
  $password = $_POST["pass"];      // Password that will be MD5'ed
  $name =  $_POST["name"];         // Name
  $address = $_POST["address"];    // Address
  $suburb = $_POST["suburb"];      // Suburb
  $state = $_POST["state"];        // State
  $postcode = $_POST["postcode"];  // Postcode
  $phone1 = $_POST["phone1"];      // Phone Number 1
  $emailaddress = $_POST["email"]; // Email Address

  // Get IP Address of user
  $ipaddress = $_SERVER["REMOTE_ADDR"];

  /* Check if all the sections are completed as a whole, then if one isn't
  filled out display the error message for that/those particular variables. */

  if ((!$username) || (!$password) || (!$name) || (!$address) || (!$suburb) || (!$state) || (!$postcode) || (!$phone1) || (!$phone2) || (!$emailaddress)) {
      echo "You didn't submit the following required information:<br><br>";

      if(!$username) {
          echo "Please enter a username<br>";
          }
      if (!$password) {
          echo "Please enter a password<br>";
      }
      if (!$name) {
          echo "Please enter a name<br>";
      }
      if (!$address) {
          echo "Please enter a address<br>";
      }
      if (!$suburb) {
          echo "Please enter a suburb<br>";
      }
      if (!$state) {
          echo "Please enter a state<br>";
      }
      if (!$postcode) {
          echo "Please enter a postcode<br>";
      }
      if (!$phone1) {
          echo "Please enter a phone number for phone number 1<br>";
      }
    
      if (!$emailaddress) {
          echo "Please enter a email address<br>";
      }

      exit(); // If there are errors then we quit this script
  }

  // Check if postcode is a numeric
  if ((!is_numeric($postcode))) {
        echo "Please enter a postcode";
        exit();
  }

  // Check if phone number 1 is a numeric
  if ((!is_numeric($phone1))) {
        echo "Please enter a phone number for phone number 1";
        exit();
  }

  // Check if phone number 2 is a numeric
  if ((!is_numeric($phone2))) {
        echo "Please enter a phone number for phone number 2";
        exit();
  }

  // Use Connect Script
  include("connect.php");

  // Get date from MySQL Server
  $currentdatetime = mysql_query('select now()');
  $curdatetime = mysql_result($currentdatetime,0);

  /* Check if username exists. If not then add all data to the database.
  If so then ask user for another name to try. */

  // MD5 Username and Password
  $username = MD5($username);
  $password = MD5($password);

  // Check if the username exists
  $usernameinuse = mysql_query("SELECT * FROM userdata WHERE userid = '$username'");
  $isusernameinuse = mysql_num_rows($usernameinuse);

  // If username exists then print error message and exit script
  if ($isusernameinuse == 1) {
      echo "The username you selected is already been used by another member.<BR>Go back and select a new username";
      exit;
  }

  else {

      // Find out how many users there are so that you can determine the next user number
      $usercount = mysql_query("SELECT * FROM userdata");
      $noofusers = mysql_num_rows($usercount);

      // New user number = User number + 1
      $usernumber = $noofusers + 1;

      // Insert the new user to the database since everything is fine
      mysql_query("INSERT INTO userdata VALUES ('$username','$password','$name','$address','$suburb','$state','$postcode','$phone1','$phone2','$emailaddress','$curdatetime','$ipaddress','$usernumber','$usernamereal')");

      // Print Successful Creation of user message
      echo "User " . $usernamereal . " has been created successfully.<BR>Click login at the top to login.";

  }

?>

</body>
</html>