<?php
/***************************************************************************
 *                         Logout
 *                    ------------------------------
 *   Filename:             logout.php
 *   Project:              Uzzisoft - PHP Simple Member System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.2.1
 *   Build Date:           2004-05-10
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Logs out the user, removes the user from the online user
 *   list and removes the cookie.
 *
 *   How it does it:
 *   Gets the time from the MySQL Server. Say the user is logged out as
 *   a default status. If there is a cookie that is set, remove the cookie
 *   by putting the time back 1 hour so the cookie doesn't exist anymore.
 *   Validate the user. If successful validation of the user
 *   connect to the MySQL database and select the database to use. Grab
 *   cookie information and check if the user is on the online users list by
 *   their username. The user is still not completely logged out yet.
 *   If there validation was not successful print a Invalid
 *   username/password message. If the user is online then remove user from
 *   online users list. If user logged is still false then print the message
 *   that they are now logged out.
 *
 *   When the user refreshes the page it will not print out anything except
 *   the html code.
 *
 ***************************************************************************/

  $time = time();

  // Say that user is logged out
  $loggedout = true;

  // If there is a cookie
  if (isset($_COOKIE['cookie_info'])) {

      // Delete the cookie
      setcookie ("cookie_info", "", $time - 3600);

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Get details of user from Database and put them in variables
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);

          // Remove user from Online user list

          // Check if user is on online list
          $isthisuseronline = mysql_query("SELECT * FROM usersonline WHERE username = '$nameuser'");
          $isuseronline = mysql_num_rows($isthisuseronline);

          // The user is not logged out yet
          $loggedout = false;
      }

      // If user and password are not correct print error message
      else {
          echo "Incorrect username/password";
          exit;
      }
}

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Logout</title>

<script language="JavaScript">
<!--
function FP_swapImg() {//v1.0
 var doc=document,args=arguments,elm,n; doc.$imgSwaps=new Array(); for(n=2; n<args.length;
 n+=2) { elm=FP_getObjectByID(args[n]); if(elm) { doc.$imgSwaps[doc.$imgSwaps.length]=elm;
 elm.$src=elm.src; elm.src=args[n+1]; } }
}

function FP_preloadImgs() {//v1.0
 var d=document,a=arguments; if(!d.FP_imgs) d.FP_imgs=new Array();
 for(var i=0; i<a.length; i++) { d.FP_imgs[i]=new Image; d.FP_imgs[i].src=a[i]; }
}

function FP_getObjectByID(id,o) {//v1.0
 var c,el,els,f,m,n; if(!o)o=document; if(o.getElementById) el=o.getElementById(id);
 else if(o.layers) c=o.layers; else if(o.all) el=o.all[id]; if(el) return el;
 if(o.id==id || o.name==id) return o; if(o.childNodes) c=o.childNodes; if(c)
 for(n=0; n<c.length; n++) { el=FP_getObjectByID(id,c[n]); if(el) return el; }
 f=o.forms; if(f) for(n=0; n<f.length; n++) { els=f[n].elements;
 for(m=0; m<els.length; m++){ el=FP_getObjectByID(id,els[n]); if(el) return el; } }
 return null;
}
// -->
</script>
</head>

<body onload="FP_preloadImgs(/*url*/'buttonA.jpg',/*url*/'button9.jpg',/*url*/'buttonD.jpg',/*url*/'buttonC.jpg')">

<a href="login.html">
<img border="0" id="img1" src="button8.jpg" height="20" width="100" alt="Login" onmouseover="FP_swapImg(1,0,/*id*/'img1',/*url*/'button9.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img1',/*url*/'button8.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img1',/*url*/'buttonA.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img1',/*url*/'button9.jpg')" fp-style="fp-btn: Glass Rectangle 1; fp-orig: 0" fp-title="Login"></a>&nbsp;
<a href="createuser.html">
<img border="0" id="img2" src="buttonB.jpg" height="20" width="127" alt="Create New User" onmouseover="FP_swapImg(1,0,/*id*/'img2',/*url*/'buttonC.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img2',/*url*/'buttonB.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img2',/*url*/'buttonD.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img2',/*url*/'buttonC.jpg')" fp-style="fp-btn: Glass Rectangle 1; fp-proportional: 0; fp-orig: 0" fp-title="Create New User"></a><p><br>
<p>

<?php

  // If user is on the list then remove them from list
  if ($isuseronline == 1) {
      mysql_query("DELETE FROM usersonline WHERE username = '$nameuser'");
  }

  // If user is logged out then print message
  if ($loggedout == false) {
      echo "You are now logged out<BR>";
  }

?>

</html>