<?php
/***************************************************************************
 *                         User Updated
 *                    ------------------------------
 *   Filename:             userupdated.php
 *   Project:              Uzzisoft - PHP Simple Member System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.2.1
 *   Build Date:           2004-05-10
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks if the fields of the form are completed and then updates users
 *   information on database.
 *
 *   How it does it:
 *   Validates the user. Put information that came from the form into
 *   variables. Check if they are not empty, if they are display error
 *   message. Check if numeric fields have numbers in them and check the
 *   length of the numeric fields. Get the users old information from the
 *   database. Compare the new submitted fields to the old information from
 *   the database. If there is change then update that particular field in
 *   the database and on this page variable. Print a table with
 *   the new changes if any.
 *
 ***************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>User Updated</title>

<script language="JavaScript">
<!--
function FP_swapImg() {//v1.0
 var doc=document,args=arguments,elm,n; doc.$imgSwaps=new Array(); for(n=2; n<args.length;
 n+=2) { elm=FP_getObjectByID(args[n]); if(elm) { doc.$imgSwaps[doc.$imgSwaps.length]=elm;
 elm.$src=elm.src; elm.src=args[n+1]; } }
}

function FP_preloadImgs() {//v1.0
 var d=document,a=arguments; if(!d.FP_imgs) d.FP_imgs=new Array();
 for(var i=0; i<a.length; i++) { d.FP_imgs[i]=new Image; d.FP_imgs[i].src=a[i]; }
}

function FP_getObjectByID(id,o) {//v1.0
 var c,el,els,f,m,n; if(!o)o=document; if(o.getElementById) el=o.getElementById(id);
 else if(o.layers) c=o.layers; else if(o.all) el=o.all[id]; if(el) return el;
 if(o.id==id || o.name==id) return o; if(o.childNodes) c=o.childNodes; if(c)
 for(n=0; n<c.length; n++) { el=FP_getObjectByID(id,c[n]); if(el) return el; }
 f=o.forms; if(f) for(n=0; n<f.length; n++) { els=f[n].elements;
 for(m=0; m<els.length; m++){ el=FP_getObjectByID(id,els[n]); if(el) return el; } }
 return null;
}
// -->
</script>
</head>

<body onload="FP_preloadImgs(/*url*/'buttonA.jpg',/*url*/'button9.jpg',/*url*/'buttonD.jpg',/*url*/'buttonC.jpg')">

<a href="login.html">
<img border="0" id="img1" src="button8.jpg" height="20" width="100" alt="Login" onmouseover="FP_swapImg(1,0,/*id*/'img1',/*url*/'button9.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img1',/*url*/'button8.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img1',/*url*/'buttonA.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img1',/*url*/'button9.jpg')" fp-style="fp-btn: Glass Rectangle 1; fp-orig: 0" fp-title="Login"></a>&nbsp;
<a href="createuser.html">
<img border="0" id="img2" src="buttonB.jpg" height="20" width="127" alt="Create New User" onmouseover="FP_swapImg(1,0,/*id*/'img2',/*url*/'buttonC.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img2',/*url*/'buttonB.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img2',/*url*/'buttonD.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img2',/*url*/'buttonC.jpg')" fp-style="fp-btn: Glass Rectangle 1; fp-proportional: 0; fp-orig: 0" fp-title="Create New User"></a><p><br>
<p>

<?php
  $time = time();

  // Check if there is a cookie, if there isn't then exit!
  if (!isset($_COOKIE['cookie_info'])) {
      echo "Cannot access this page: You aren't logged in";
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          /* Once submit has been pressed get variables of form and compare to
          those in the database. If any changes are found, change them in database. */

          // Variables that data come from the form
          $name1 =  $_POST["name"];          // Name
          $address1 = $_POST["address"];     // Address
          $suburb1 = $_POST["suburb"];       // Suburb
          $state1 = $_POST["state"];         // State
          $postcode1 = $_POST["postcode"];   // Postcode
          $phone11 = $_POST["phone1"];       // Phone Number 1
          $phone21 = $_POST["phone2"];       // Phone Number 2
          $emailaddress1 = $_POST["email"];  // Email Address

          /* Check if all the sections are completed as a whole, then if one isn't
          filled out display the error message for that/those particular variables. */
          if ((!$name1) || (!$address1) || (!$suburb1) || (!$state1) || (!$postcode1) || (!$phone11) || (!$phone21) || (!$emailaddress1)) {
              echo "You didn't submit the following required information to Update your information:<br><br>";
              if(!$name1) {
                  echo "Please enter your new name<br>";
              }
              if(!$address1) {
                  echo "Please enter your new address<br>";
              }
              if(!$suburb1) {
                  echo "Please enter your new suburb<br>";
              }
              if(!$state1) {
                  echo "Please enter your new state<br>";
              }
              if(!$postcode1) {
                  echo "Please enter your new postcode<br>";
              }
              if(!$phone11) {
                  echo "Please enter your new phone number 1<br>";
              }
              if(!$phone21) {
                  echo "Please enter your new phone number 2<br>";
              }
              if(!$emailaddress1) {
                  echo "Please enter your new email address<br>";
              }

              exit();
          }

          // Check if postcode is numeric
          if ((!is_numeric($postcode1))) {
              echo "Please enter a postcode";
              exit();
          }

          // Check if phone number 1 is numeric
          if ((!is_numeric($phone11))) {
              echo "Please enter a phone number for phone number 1";
              exit();
          }

          // Check if phone number 2 is numeric
          if ((!is_numeric($phone21))) {
              echo "Please enter a phone number for phone number 2";
              exit();
          }

          // Get details of user from Database and put them in variables
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);     // Username
          $name = mysql_result($query,0,2);          // Name
          $address = mysql_result($query,0,3);       // Address
          $suburb = mysql_result($query,0,4);        // Suburb
          $state = mysql_result($query,0,5);         // State
          $postcode = mysql_result($query,0,6);      // Postcode
          $phone1 = mysql_result($query,0,7);        // Phone Number 1
          $phone2 = mysql_result($query,0,8);        // Phone Number 2
          $emailaddress = mysql_result($query,0,9);  // Email Addres

          // Compare variables and update new variables to database if changed
          $changename = strcmp($name1,$name);
          $changeaddress = strcmp($address1,$address);
          $changesuburb = strcmp($suburb1,$suburb);
          $changestate = strcmp($state1,$state);
          $changepostcode = strcmp($postcode1,$postcode);
          $changephone1 = strcmp($phone11,$phone1);
          $changephone2 = strcmp($phone21,$phone2);
          $changeemailaddress = strcmp($emailaddress1,$emailaddress);

          // Update new Variables to database if they are not 0 which means they changed
          if ($changename != 0) { echo "Name Updated<BR>";
              // Insert new value to database
              mysql_query ("UPDATE userdata SET name = '$name1' WHERE userid = '$namecookie'");
              $name = $name1; // Update old value on this page
          }
          if ($changeaddress != 0) { echo "Address Updated<BR>";
              mysql_query ("UPDATE userdata SET address = '$address1' WHERE userid = '$namecookie'");
              $address = $address1;
          }
          if ($changesuburb != 0) { echo "Suburb Updated<BR>";
              mysql_query ("UPDATE userdata SET suburb = '$suburb1' WHERE userid = '$namecookie'");
              $suburb = $suburb1;
          }
          if ($changestate != 0) { echo "State Updated<BR>";
              mysql_query ("UPDATE userdata SET state = '$state1' WHERE userid = '$namecookie'");
              $state = $state1;
          }
          if ($changepostcode != 0) { echo "Postcode Updated<BR>";
              mysql_query ("UPDATE userdata SET postcode = '$postcode1' WHERE userid = '$namecookie'");
              $postcode = $postcode1;
          }
          if ($changephone1 != 0) { echo "Phone #1 Updated<BR>";
              mysql_query ("UPDATE userdata SET phone1 = '$phone11' WHERE userid = '$namecookie'");
              $phone1 = $phone11;
          }
          if ($changephone2 != 0) { echo "Phone #2 Updated<BR>";
              mysql_query ("UPDATE userdata SET phone2 = '$phone21' WHERE userid = '$namecookie'");
              $phone2 = $phone21;
          }
          if ($changeemailaddress != 0) { echo "Email Address Updated<BR>";
              mysql_query ("UPDATE userdata SET emailaddress = '$emailaddress1' WHERE userid = '$namecookie'");
              $emailaddress = $emailaddress1;
          }

  // Make the table displaying details of user
  echo "
  <table border='0' width='100%' id='table1' height='300'>
        <tr>
                <td width='115'><font face='Tahoma'>Username:</td>
                <td> <font face='Tahoma'>$nameuser </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>Name:</td>
                <td> <font face='Tahoma'>$name </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>Address:</td>
                <td> <font face='Tahoma'>$address </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>Suburb/City:</td>
                <td> <font face='Tahoma'>$suburb </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>State:</td>
                <td> <font face='Tahoma'>$state </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>Postcode:</td>
                <td> <font face='Tahoma'>$postcode </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>Phone #1:</td>
                <td> <font face='Tahoma'>$phone1 </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>Phone #2:</td>
                <td> <font face='Tahoma'>$phone2 </font></td>
        </tr>
        <tr>
                <td width='115'><font face='Tahoma'>Email Address:</td>
                <td> <font face='Tahoma'>$emailaddress </font> </td>
        </tr>

  </table>";
?>

<BR>
<a href="login.php">
<img border="0" id="img6" src="button2.jpg" height="20" width="100" alt="Login Home" onmouseover="FP_swapImg(1,0,/*id*/'img6',/*url*/'button3.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img6',/*url*/'button2.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img6',/*url*/'button4.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img6',/*url*/'button3.jpg')" fp-style="fp-btn: Soft Capsule 5" fp-title="Login Home"></a>
<a href="updateuser.php">
<img border="0" id="img3" src="button18.jpg" height="20" width="122" alt="Update my Details" onmouseover="FP_swapImg(1,0,/*id*/'img3',/*url*/'button19.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img3',/*url*/'button18.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img3',/*url*/'button1A.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img3',/*url*/'button19.jpg')" fp-style="fp-btn: Soft Capsule 5; fp-proportional: 0" fp-title="Update my Details"></a>
<a href="changepassword.php">
<img border="0" id="img4" src="button1C.jpg" height="20" width="142" alt="Change my Password" onmouseover="FP_swapImg(1,0,/*id*/'img4',/*url*/'button1D.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img4',/*url*/'button1C.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img4',/*url*/'button1E.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img4',/*url*/'button1D.jpg')" fp-style="fp-btn: Soft Capsule 5; fp-proportional: 0" fp-title="Change my Password"></a>
<a href="logout.php">
<img border="0" id="img5" src="button1F.jpg" height="20" width="100" alt="Logout" onmouseover="FP_swapImg(1,0,/*id*/'img5',/*url*/'button20.jpg')" onmouseout="FP_swapImg(0,0,/*id*/'img5',/*url*/'button1F.jpg')" onmousedown="FP_swapImg(1,0,/*id*/'img5',/*url*/'button21.jpg')" onmouseup="FP_swapImg(0,0,/*id*/'img5',/*url*/'button20.jpg')" fp-style="fp-btn: Soft Capsule 5; fp-proportional: 0" fp-title="Logout"></a><p><br>

<?php

     // If user and password are not correct print error message
     }
     else {
         echo "Incorrect username/password";
         exit;
     }
  }
?>

</html>